function [mVec, segfault, ~, inPath] = blossom_mex_fake(nNodes, ri, rj, rw, outfile)
% blossom_mex_fake  Copy the interface of blossom_mex. For debugging.

    graphPath = tempname;    

    nEdges = length(ri);
    
    fid = fopen(outfile, 'w');
    fprintf(fid, 'c graph in DIMACS format\n');
    fprintf(fid, 'p edge %d %d\n', nNodes, nEdges);
    for e = 1:nEdges
        fprintf(fid, 'e %d %d %d\n', ri(e), rj(e), rw(e));
    end
    fclose(fid);
    
    fprintf('Written to %s\n', outfile);    
end

