function [ X ] = binarizeLocalInfo(local_info)
    
    N = size(local_info, 1);
    % Variables 1 and 2 (male/female, student/faculty?) are already
    % binarized.
    nLevels = arrayfun(@(d) length(unique(local_info(:,d))), 1:6);        
    dim = 1;
    for d = 1:6
        levels = unique(local_info(:,d))';
        for lv = levels
            X(local_info(:,d) == lv, dim) = 1;
            dim = dim + 1;
        end
    end
end

