function script_slow_agg(fi, ik)
    dbstop if error;
    
    %% Run the algos
    files{1}='bupa.bin';
    files{2}='wine.bin';
    files{3}='heart.bin';
    files{4}='ecoli.bin';
    files{5}='hepatitis.bin';
    
    kkVec = 20:-6:1;
    dataS=load(files{fi});

    % If we have a odd number of datapoints, cut off the last one
    if mod(size(dataS, 1), 2) == 1
        dataS(end,:) = [];
        %dataS(:,end) = [];
    end    

    kk = kkVec(ik);
    [IDX, B2, S2] = agglomerative(dataS, kk);
    s = sprintf('runagg%d.%d.mat', fi, kk);
    
    save(s);
end
