%% Pre-process the social network data
%TODO: Change this path
if clicLab
    dataPath = '/proj/learning/Matching/facebook100';
else
    dataPath = '/Users/kuitang/Datasets/facebook100';
end

social{1} = 'Caltech36';
social{2} = 'Reed98';
social{3} = 'Princeton12';
nFeatures = 7;


% nSocial = length(social);
% for i = 1:nSocial
%     raw = load(fullfile(dataPath, social{i}));
%     friends = full(sum(raw.A, 2));
%     invLogFriends = 1 ./ log(friends);
%     
%     % Change Infs and NaNs to NaN for correct statistical processing
%     nanInfIdxs = isnan(invLogFriends) | isinf(invLogFriends);
%     invLogFriends(nanInfIdxs) = NaN;
%     
%     % Binarize the local_info matrix
%     binMat = zeros(size(raw.local_info));
%     assert(nFeatures == size(raw.local_info, 2))
%     for k  = 1:nFeatures
%         mm = median(raw.local_info(:,k));
%         binMat(:,k) = raw.local_info(:,k) > mm;
%     end
%     
%     save([social{i} '.bin.mat'], 'invLogFriends', 'binMat', 'friends');
% end

%% Run the social network algos
nSocial = 3;
for n = 1:nSocial    
    %% One iter
    %d = load([social{n} '.bin.mat']);
    raw = load(fullfile(dataPath, social{n}));
    friends = full(sum(raw.A, 2));
    logFriends = ceil(log(friends));
    
    %bBase = (max(logFriends1) - logFriends1 + 1) ./ logFriends1;
    bBase = max(logFriends) - logFriends;
    maxBBase = max(bBase);    
    
    X = binarizeLocalInfo(raw.local_info);    
    N = size(X, 1);
    
    if mod(N, 2) == 1
        X(end,:) = [];        
        N = N - 1;
        bBase(end) = [];
        logFriends(end) = [];        
    end
    
    for maxKK=20:-6:6
        minKK = maxKK - maxBBase;
        b = minKK + bBase;                
        
        [B,S]=vbmatching(X, b, 8);  s=sprintf('social_run%d.%d.mat', n, maxKK);    save(s, 'B', 'S');
        %[B,S]=unimatching(X, b);      s=sprintf('social_rununi%d.%d.mat', n, maxKK); save(s, 'B', 'S');
        %[IDX,B2,S2]=agglomerative(X,maxKK);  s=sprintf('social_runagg%d.%d.mat',n,maxKK);  save(s, 'IDX', 'B2', 'S2');
    end
end

