dbstop if error;

%% Network plot (spectral embedding)
if clicLab
    dataPath = '/proj/learning/Matching/facebook100';
else
    dataPath = '/Users/kuitang/Datasets/facebook100';
end

social{1} = 'Caltech36';
social{2} = 'Reed98';
social{3} = 'Haverford76';
social{4} = 'Simmons81';
nFeatures = 7;

kkVec = 26:-6:6;

%% for loop
fids = [1 2];
for fi = fids    
    %% One iter    
    raw = load(fullfile(dataPath, social{fi}));
    rixs = randsample(1:size(raw.A, 1), 100);        
    %hRaw = figure;
    
    %[AV, AD] = eigs(raw.A, 6);
    %figure;  bar(diag(AD));    
    %figure; scatter(AV(:,1), AV(:,2));
    %figure; spy(raw.A);
    
    h1 = figure;
    % plotGraphWithSPE(A, figureNum, numDimensions)
    plotGraphWithSPEDense(raw.A(rixs,rixs), h1, 2);
    save(h1, '-depsc', sprintf('A_%d.mat', fi));
    title('A');
    close(h1);
    
    for kk = kkVec
        s = sprintf(uniTemplate, fi, ik);
        uni = load(s);
        
        h2 = figure;
        plotGraphWithSPEDense(uni.B(rixs,rixs), h2, 2);
        save(h2, '-depsc', sprintf('B_%d.%d.mat', fi, kk));
        title(sprintf('B, kk = %d', kk));
        close(h2);
    end
end

