function social_script_3_par(fi)
    dataPath = '/proj/learning/Matching/facebook100';

    social{1} = 'Caltech36';
    social{2} = 'Reed98';
    social{3} = 'Haverford76';
    social{4} = 'Simmons81'
    nFeatures = 7;

    kkVec = 26:-6:6;
    
    raw = load(fullfile(dataPath, social{fi}));
    friends = full(sum(raw.A, 2));
    logFriends = ceil(log(friends));
    
    %bBase = (max(logFriends1) - logFriends1 + 1) ./ logFriends1;
    bBase = max(logFriends) - logFriends;
    maxBBase = max(bBase);
    
    X = binarizeLocalInfo(raw.local_info);
    N = size(X, 1);
    
    if mod(N, 2) == 1
        X(end,:) = [];
        N = N - 1;
        bBase(end) = [];
        logFriends(end) = [];
    end

    matlabpool open 4;
    
    parfor ki = 1:4
        maxKK = kkVec(ki);
        minKK = maxKK - maxBBase;
        b = minKK + bBase;

        social_script_3_helper(fi, maxKK, X, b);
    end
end
