function nstars = stars(X)
%
% function nstars = stars(X)
%
% Counts the number of stars to place in each column of X
% so that all its elements are identical
%
[n,d]=size(X);
nstars=0;
for k=1:d
  if (length(unique(X(:,k)))>1)
    nstars = nstars+1;
  end
end

    