function old_star_report(aggPrefix, uniPrefix, vbPrefix)
    % for io = [1 fid]
    %     fprintf(io, '*** OPTIONS ***\n');
    %     fprintf(io, toString(o, 'disp'));
    %     fprintf(io, '*** STAR SUMMARY ***\n');
    %     fprintf(io, 'agg: %d, uni: %d, vb: %d\n', sum(agg.S2(:)), uniStars, vbStars);
    % end

    files{1}='bupa.bin';
    files{2}='wine.bin';
    files{3}='heart.bin';
    files{4}='ecoli.bin';
    files{5}='hepatitis.bin';

    %aggTemplate = 'runagg%d.%d.mat';
    %aggTemplate = 'uci_results/runagg%d.%d.mat';
    %uniTemplate = 'rununi%d.%d.mat';
    %vbTemplate  = 'run%d.%d.mat';
    
    aggTemplate = [aggPrefix '%d.%d.mat'];
    uniTemplate = [uniPrefix '%d.%d.mat'];
    vbTemplate  = [vbPrefix  '%d.%d.mat'];
    
    kkVec = 20:-6:1;

    for fi = 1:5
        for ik = 1:length(kkVec)
            kk = kkVec(ik);

            agg = load(sprintf(aggTemplate, fi, kk));
            aggStars = sum(agg.S2(:));

            uni = load(sprintf(uniTemplate, fi, kk));
            uniStars = sum(uni.S(:));

            if uniStars > aggStars
                uniAst = '***';
            else
                uniAst = '';
            end

            vb  = load(sprintf(vbTemplate, fi, kk));
            vbStars = sum(vb.S(:));

            if vbStars > uniStars
                vbAst = '***';
            else
                vbAst = '';
            end

            fprintf(1, 'Stars %d.%d:\t', fi, kk);
            fprintf(1, 'agg: %d\t uni: %d%s\t vb: %d%s\n', aggStars, uniStars, uniAst, vbStars, vbAst);
        end
    fprintf(1, '\n');    
    end    
end
